﻿////mr-bundler-ignore
function MrStartUI() {

  if (typeof (jQuery) == 'undefined') {
    setTimeout(function () {
      MrStartUI();

    }, 700);
    return;
  }
  MrMUISecoundryColor = '#BF9E66';
  MrMUIPrimaryColor = '#F5F5F5';
  MrMUIToolMaxWidth = "600px";
  MrMUIToolMinWidth = "450px";
  MrMUIToolMaxHeight = "80vh";
  MrMUIToolWidth = "35vw";
  MrMUIGoogleTranslateDivID = "google_translate_element";
  MrCID = 126;
try{
    MrArabicUIisOn =
      document.getElementsByTagName("html")[0].getAttribute("lang") == "ar-AE" ||
      window.location.href
        .toString()
        .toLowerCase()
        .indexOf("/ar/".toLowerCase()) > -1;
}catch(err){

}
  MrArabicFlag = "uae";

  MRUAPPrepareUI(
    [
      // "MrSignLanguage",
      "MrReadSpeakerFeature",
      "MrControl_Page_contrast",
      "MrCursor_Helpers",
      "MrChangefont",
      "MrPage_saturation_control",
      "MrWords_Spacing",
      "MrRealWords_Spacing",
      "MrLine_Spacing",
      "MrEnlarge_Fonts",
      "MrHighlight_Links",
      "MrAnimation",
      "MrText_Alignments",
      "MrDictionary",
      "MrPage_Structure",
    ], ["MrVisuallyImpaired", "Mrdyslexia", "MrADHD", "MrSeizureAndEpilepsy", "MrColor_Blind", "Mrcognitive_education", "MrImpaired_mobility"]
  );

  var MrIconMessage = undefined;
  if (MrArabicUIisOn) {
    MrIconMessage = "مساعدة في استخدام الموقع";
    jQuery("[mrtitleen='Arabic']").addClass("MrMUIActivated");
    jQuery("[mrtitleen='Arabic'] label").addClass("MrButtonActive");
  } else {
    MrIconMessage = "Assist using site";
    jQuery("[mrtitleen='English']").addClass("MrMUIActivated");
    jQuery("[mrtitleen='English'] label").addClass("MrButtonActive");
  }
  MrGotoArabicVersion = function () {
    try {
      document.getElementById(':1.container').contentWindow.document.getElementById(':1.restore').click();
    } catch (err) {

    }
    if (!MrArabicUIisOn) {
      var href = jQuery('.language-option').children('a[title="عربي"]').attr('href');
      window.location.href = href;
      MrUPChangeToolLangToAR();
    }
  };
  MrGotoEnglishVersion = function () {
      try {
      document.getElementById(':1.container').contentWindow.document.getElementById(':1.restore').click();
    } catch (err) {

    }
    if (MrArabicUIisOn) {
      var href = jQuery('.language-option').children('a[title="English"]').attr('href');
      window.location.href = href;
      MrUPChangeToolLAngToEN();
    }
  };
  var MrIconToAdd =
    '<div id="MrAccessInHand" title="' +
    MrIconMessage +
    '"><img src="https://cdn.mindrocketsapis.com/client/imgs/png/accessability.png" width="50" alt="' +
    MrIconMessage +
    '"></div>';
  MrUAPAddStyle(
    "#MrAccessInHand:hover { filter: brightness(1.3);} #MrAccessInHand {z-index: 99;cursor:pointer; position: fixed; bottom: 154px; left: 23px; background-color: " +
    MrMUISecoundryColor +
    "; border-radius: 50%;width:60px;height:60px;text-align:center } #MrAccessInHand img{filter:" +
    MrUtilHexToFilter(MrMUIWhite) +
    ";margin-top:5px;width:48px}",
    "MrbuttonCSS"
  );
  
 MrUAPAddStyle(".MrResetToolsBtn {height:max-content !important}.MrMUITabButtons:not(.MrMUILargeButton) { min-height: 100px;} .MrMUI-tab-container{max-height:62vh;} #MrModalTitle h1 {text-align:center !important} ul#mr-tabs-list {padding-inline-start: 0px;} #MrMUIFooter {left :0px !important;width: 96%;} .MrMUI-tab-container {padding: 2px;} .MrMUIHeaderDiv {width: calc(98% + 2px);} .MrMUITabButtons.MrMUIDefault.MrMUILargeButton{min-height: 60px;} ", "MrUIFixs");
 // jQuery("body").append("<style>.MrMUITabButtons:hover {padding:25px !important}</style>");
 MrUAPAddStyle(
    "@media (max-width: 800px) { .MrMUI-tab-container { max-height: 60vh; } .MrMUIHeaderDiv {width: calc(100% + 1px);} #MrMUIFooter {width:100% !important} }","MrMUISmallScreenCSS1");
 MrUAPAddStyle(
    "@media (max-width: 979px) { .MrMUIHeaderDiv {width: calc(100% + 2px) !important;} }","MrMUISmallScreenCSS2");
  
 
  jQuery("body").append(MrIconToAdd);
  jQuery("#MrAccessInHand").click(function () {
    MrToolCheckLicense();
    MrUAPShowAssistiveTool();
    MrMUIGetGoogleTranslationValues(2);
    jQuery('#google_translate_element').show();
  });
  MrUAPPrepareMrOrgColor();

  MrMUIActivateShotcuts();
  jQuery('#google_translate_element').show();
}
////endmr-bundler-ignore
window.addEventListener('load',function(){
 MrStartUI();

});
